import SwiftUIArchitectureCore

public extension {{ module_info.name }}State {
	enum ReportAction {
		// TODO: add cases
	}
	
	static func reduce(
		_ action: ReportAction,
		to state: inout Self
	) -> SideEffect<OutwardAction> {
		switch action {
		
		}
		return .none
	}
}
